<template>
  <div class="alert" :class="type + (light ? ' light' : '')">
    <div>
      <i v-if="type === 'error'" class="fas fa-exclamation-circle icon"></i>
      <i v-else-if="type === 'success'" class="fas fa-check-circle icon"></i>
      <i
        v-else-if="type === 'warn'"
        class="fas fa-exclamation-triangle icon"
      ></i>
      <i v-else-if="type === 'info'" class="fas fa-info-circle icon"></i>
    </div>
    <p v-if="title" class="fw-bold">{{ title }}</p>
    <p v-if="message" class="fs-7">{{ message }}</p>
  </div>
</template>

<script>
export default {
  props: {
    title: String,
    message: String,
    type: {
      //error, warn, info, success
      type: String,
      default: "error",
    },
    light: {
      type: Boolean,
      default: false,
    },
  },
};
</script>

<style lang="scss">
.alert {
  text-align: center;
  width: 100%;
  color: black;
  font-size: 1.2em;
  font-weight: 600;

  &.light {
    color: white;
  }

  //   border: 1px solid #ffffff1c;
  //     background-color: #ffffff0a;

  .icon {
    font-size: 2em;
    margin-bottom: 5px;
  }

  &.error .icon {
    color: $red;
  }
  &.success .icon {
    color: $green;
  }
  &.warn .icon {
    color: $yellow;
  }
  &.info .icon {
    color: $blue;
  }
}
</style>